summaryrefslogtreecommitdiff
path: root/setup.sh
diff options
context:
space:
mode:
authorJesse Gilles <jgilles@multitech.com>2011-08-19 11:37:20 -0500
committerJesse Gilles <jgilles@multitech.com>2011-08-19 11:37:20 -0500
commitabec6591c913435a392f2e5042fc3a281b90320b (patch)
tree7e368b856fe4a0b45474ad64b9a098cdd467ab3f /setup.sh
parent757c5cacd1e34101480ac595be2db94aa0f5bae4 (diff)
added setup.sh
Diffstat (limited to 'setup.sh')
-rwxr-xr-xsetup.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/setup.sh b/setup.sh
new file mode 100755
index 0000000..4f20a3c
--- /dev/null
+++ b/setup.sh
@@ -0,0 +1,38 @@
+#!/usr/bin/env bash
+
+set -e
+
+response=y
+test -f env-oe.sh && read -p "Overwrite env-oe.sh with defaults? (y/N) " response
+if [[ $response =~ ^y$ || $response =~ ^yes$ ]]; then
+ echo "Copying default environment script..."
+ cp multitech/contrib/env-oe.sh .
+else
+ echo "Leaving existing env-oe.sh alone."
+fi
+
+echo ""
+response=y
+test -f conf/local.conf && read -p "Overwrite conf/local.conf with defaults? (y/N) " response
+if [[ $response =~ ^y$ || $response =~ ^yes$ ]]; then
+ echo "Creating default bitbake configuration..."
+ cp multitech/contrib/local.conf conf/
+else
+ echo "Leaving existing conf/local.conf alone."
+fi
+
+echo ""
+echo "Creating directory structure..."
+mkdir -p sources
+mkdir -p build
+
+echo ""
+echo "Updating git submodules..."
+git submodule update --init
+
+echo ""
+echo "Setup Done."
+echo ""
+echo "To build corecdp-base-image:"
+echo " source env-oe.sh"
+echo " bitbake corecdp-base-image"